
$white-theme-color: (
    body-bg: #f5f5f5,
    container-bg: #fcfcfc,
    bg1: #fff,
    bg2: #fff,
    bg3: #1c1c1c,
    text-color1: #000,
    text-color2: #777,
    text-color3: #FFF,
    border-color1: #e8e8e8,
    btn-color1: #b7b7b7,
);

$dark-theme-color: (
    body-bg: #000,
    container-bg: #1c1c1c,
    bg1: #1c1c1c,
    bg2: #777,
    bg3: #fff,
    text-color1: #fff,
    text-color2: #777,
    text-color3: #000,
    border-color1: #e8e8e8,
    btn-color1: #b7b7b7,
);

@function color($theme, $color-name) {
    $color-group: $white-theme-color;

    @if ($theme == "dark") {
        $color-group: $dark-theme-color;
    }

    @return map-get($color-group, $color-name);
}
